return {
    "folke/trouble.nvim",
    dependencies = { "nvim-tree/nvim-web-devicons" },
    config = function ()
        local trouble = require("trouble");

        vim.keymap.set("n", "<leader>xx", trouble.toggle);
        vim.keymap.set("n", "[D", function ()
            trouble.open();
            trouble.previous({skip_groups = true, jump = true});
        end)
        vim.keymap.set("n", "]D", function ()
            trouble.open();
            require("trouble").next({skip_groups = true, jump = true});
        end)
    end
}
